[问题]ubuntu7.04下安装飞鸽传书时出现的错误

仅仅用于软件推荐,不适合发求软件或软件使用问题方面的贴子
回复
maige
帖子: 2
注册时间: 2007-11-03 0:19
送出感谢: 0
接收感谢: 0

[问题]ubuntu7.04下安装飞鸽传书时出现的错误

#1

帖子 maige » 2007-11-03 0:23

root@xiaofu-linux:/rjian/g2ipmsg-0.8.6# ./configure --enable-systray

checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking dependency style of gcc... gcc3
checking for strerror in -lcposix... no
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ANSI C... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ANSI C... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking for intltool >= 0.31... 0.35.0 found
checking for perl... /usr/bin/perl
checking for XML::Parser... ok
checking for iconv... /usr/bin/iconv
checking for msgfmt... /usr/bin/msgfmt
checking for msgmerge... /usr/bin/msgmerge
checking for xgettext... /usr/bin/xgettext
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for PACKAGE... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking for LC_MESSAGES... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for ngettext in libc... yes
checking for dgettext in libc... yes
checking for bind_textdomain_codeset... yes
checking for msgfmt... /usr/bin/msgfmt
checking for dcgettext... yes
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for catalogs to be installed... ja
Using config source xml:merged:/etc/gconf/gconf.xml.defaults for schema installation
Using $(sysconfdir)/gconf/schemas as install directory for schema files
checking for GST... no
configure: WARNING: You need GStreamer-0.10 or later installed if you need sound relevant function.
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating po/Makefile.in
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
config.status: executing intltool commands
config.status: executing default-1 commands
config.status: executing po/stamp-it commands

root@xiaofu-linux:/rjian/g2ipmsg-0.8.6# make


make all-recursive
make[1]: Entering directory `/rjian/g2ipmsg-0.8.6'
Making all in src
make[2]: Entering directory `/rjian/g2ipmsg-0.8.6/src'
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DPACKAGE_DATA_DIR=\""/usr/local/share"\" -DPACKAGE_LOCALE_DIR=\""/usr/local/share/locale"\" -DGNOMELOCALEDIR=\""/usr/local/share/locale"\" -DORBIT2=1 -pthread -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gnome-keyring-1 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/libpng12 -I/usr/include/libxml2 -I/usr/include/panel-2.0 -g -O2 -MT ipmsg.o -MD -MP -MF ".deps/ipmsg.Tpo" -c -o ipmsg.o ipmsg.c; \
then mv -f ".deps/ipmsg.Tpo" ".deps/ipmsg.Po"; else rm -f ".deps/ipmsg.Tpo"; exit 1; fi
在包含自 ipmsg.c:29 的文件中:
common.h:21:18: 错误: menu.h:No such file or directory
make[2]: *** [ipmsg.o] 错误 1
make[2]: Leaving directory `/rjian/g2ipmsg-0.8.6/src'
make[1]: *** [all-recursive] 错误 1
make[1]: Leaving directory `/rjian/g2ipmsg-0.8.6'
make: *** [all] 错误 2





望高手帮忙解决~~谢了
jsleemz
帖子: 144
注册时间: 2006-07-27 15:50
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 jsleemz » 2007-11-03 7:36

我用0。9。1的包成功安装,0。9。3的包不能正确make。
lz你用0。8。6的包,我没有试过。
是否升级版本再安装?

新手,不会解决代码错误问题,帮你顶一下。
maige
帖子: 2
注册时间: 2007-11-03 0:19
送出感谢: 0
接收感谢: 0

呵呵!谢谢了

#3

帖子 maige » 2007-11-03 11:37

已经解决了

是版本的问题

换了9。0就可以
lidaiyi721
帖子: 20
注册时间: 2007-10-21 21:05
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 lidaiyi721 » 2007-11-09 10:26

在哪下载飞鸽传书?谢谢
jsleemz
帖子: 144
注册时间: 2006-07-27 15:50
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 jsleemz » 2007-11-09 10:37

回复

回到 “软件推荐”